tvbrowser.extras.programinfo

## Class ProgramInfo

- java.lang.Object
- - tvbrowser.extras.programinfo.ProgramInfo

-     public class ProgramInfo
      extends java.lang.Object

  TV-Browser
  Author:
    Martin Oberhauser

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static Localizer` | `mLocalizer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) boolean` | `canNavigateBack()`
    `(package private) boolean` | `canNavigateForward()`
    `boolean` | `dialogWasClosedRecently()`
    `protected ActionMenu` | `getContextMenuActions(Program program)`
    `static ProgramInfo` | `getInstance()`
    `(package private) static java.lang.String` | `getName()`
    `(package private) Program[]` | `getNextPrograms()`
    `protected java.lang.Object[]` | `getOrder()`
    `protected PluginPictureSettings` | `getPictureSettings()`
    `(package private) Program[]` | `getPreviousPrograms()`
    `static java.lang.String` | `getProgramInfoPluginId()` get the plugin id without loading the plugin
    `ProgramInfoSettings` | `getSettings()`
    `void` | `handleTvBrowserStartFinished()` Initializes the ProgramInfoDialog.
    `(package private) void` | `historyBack()`
    `(package private) void` | `historyForward()`
    `static boolean` | `isShowing()` return whether the program info is currently shown or is to be shown immediately
    `(package private) java.lang.String` | `navigationBackwardText()`
    `(package private) java.lang.String` | `navigationForwardText()`
    `(package private) void` | `nextProgram()`
    `int` | `parseNumber(java.lang.String str)` Parses a Number from a String.
    `(package private) void` | `previousProgram()`
    `static void` | `resetLocalizer()`
    `protected void` | `setLook()`
    `protected void` | `setOrder()`
    `protected void` | `setSettings(java.awt.Dimension d)`
    `(package private) void` | `showProgram(Program p)`
    `void` | `showProgramInformation(Program program)`
    `protected void` | `showProgramInformation(Program program, boolean showSettings)`
    `void` | `store()` Save settings.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mLocalizer

          static Localizer mLocalizer

  - ### Method Detail

    - #### handleTvBrowserStartFinished

          public void handleTvBrowserStartFinished()

      Initializes the ProgramInfoDialog.

    - #### getContextMenuActions

          protected ActionMenu getContextMenuActions(Program program)

    - #### getInstance

          public static ProgramInfo getInstance()

      Returns:
        An instance of this class

    - #### getSettings

          public ProgramInfoSettings getSettings()

      Returns:
        Settings

    - #### store

          public void store()

      Save settings.

    - #### parseNumber

          public int parseNumber(java.lang.String str)

      Parses a Number from a String.
      Parameters:
        `str` - Number in String to Parse
      Returns:
        Number if successful. Default is 0

    - #### showProgramInformation

          protected void showProgramInformation(Program program,
                                    boolean showSettings)

    - #### setSettings

          protected void setSettings(java.awt.Dimension d)

    - #### getOrder

          protected java.lang.Object[] getOrder()

    - #### setOrder

          protected void setOrder()

    - #### setLook

          protected void setLook()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getName

          static java.lang.String getName()

    - #### getPictureSettings

          protected PluginPictureSettings getPictureSettings()

    - #### isShowing

          public static boolean isShowing()

      return whether the program info is currently shown or is to be shown immediately
      Returns:
        true if the program info is currently shown or is to be shown immediately

    - #### showProgramInformation

          public void showProgramInformation(Program program)

    - #### getProgramInfoPluginId

          public static java.lang.String getProgramInfoPluginId()

      get the plugin id without loading the plugin
      Returns:
        the plugin id
      Since:
        3.0

    - #### historyBack

          void historyBack()

    - #### historyForward

          void historyForward()

    - #### getNextPrograms

          Program[] getNextPrograms()

    - #### nextProgram

          void nextProgram()

    - #### showProgram

          void showProgram(Program p)

    - #### getPreviousPrograms

          Program[] getPreviousPrograms()

    - #### previousProgram

          void previousProgram()

    - #### canNavigateBack

          boolean canNavigateBack()

    - #### canNavigateForward

          boolean canNavigateForward()

    - #### navigationBackwardText

          java.lang.String navigationBackwardText()

    - #### navigationForwardText

          java.lang.String navigationForwardText()

    - #### resetLocalizer

          public static void resetLocalizer()

    - #### dialogWasClosedRecently

          public boolean dialogWasClosedRecently()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)